Summary: Support library to use and manage the QRTR (Qualcomm IPC Router) bus.
Name: libqrtr-glib
Version: 1.2.2
Release: 2%{?dist}
License: LGPLv2+
URL: http://freedesktop.org/software/libqrtr-glib
Source0: https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: meson >= 0.53 gcc
BuildRequires: glib2-devel >= 2.56 gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(gudev-1.0) >= 147
BuildRequires: python3

%description
This package provides the libraries for using and managing the QRTR (Qualcomm IPC Router) bus.


%package devel
Summary: Header files for adding QRTR support to applications that use glib
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package provides the header and pkg-config files for development applications using QRTR 
functionality from applications that use glib.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference meson.build
 
 
%check
%meson_test


%files
%license LICENSES/LGPL-2.1-or-later.txt
%doc NEWS AUTHORS README.md
%{_libdir}/libqrtr-glib.so.*
%{_libdir}/girepository-1.0/Qrtr-1.0.typelib


%files devel
%{_includedir}/libqrtr-glib/
%{_libdir}/libqrtr-glib.so
%{_libdir}/pkgconfig/qrtr-glib.pc
%{_datadir}/gtk-doc/html/libqrtr-glib/
%{_datadir}/gir-1.0/Qrtr-1.0.gir


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.2-1
- Upgrade to 1.2.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.0-1
- package init.
